xcb_render_create_radial_gradient(3)

NAME
xcb_render_create_radial_gradient -

SYNOPSIS
#include <xcb/render.h>

  Request function

xcb_void_cookie_t xcb_render_create_radial_gradient(xcb_connection_t *conn, xcb_render_picture_t picture, xcb_render_pointfix_t inner, xcb_render_pointfix_t outer, xcb_render_fixed_t inner_radius, xcb_render_fixed_t outer_radius, uint32_t num_stops, const xcb_render_fixed_t *stops, const xcb_render_color_t *colors);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

picture
    TODO: NOT YET DOCUMENTED.

inner
    TODO: NOT YET DOCUMENTED.

outer
    TODO: NOT YET DOCUMENTED.

inner_radius
    TODO: NOT YET DOCUMENTED.

outer_radius
    TODO: NOT YET DOCUMENTED.

num_stops
    TODO: NOT YET DOCUMENTED.

stops
    TODO: NOT YET DOCUMENTED.

colors
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_render_create_radial_gradient_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from render.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.